<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <script>
          class Mathematics {
              constructor() {
                this.pi = 3.15;
              }
              // Такие поля используются для создания констант, хранящих нужную классу информацию.

              static PI = 3.16;

              // такие методы можно вызывать без создания инстанса класса
              static getPiStatic() {
                return 3.14;
              }

              getPi() {
                return this.pi;
              }
            }
  
             class Geometry extends Mathematics {
              constructor() {
                super();

              }

    
            }

            // console.log(Mathematics.getPiStatic()); // 3.14
            // console.log(Mathematics.PI); // 3.16
            // console.log(Mathematics.getPi()); // Mathematics.getPi is not a function
            // console.log( Geometry.getPiStatic())
             const newMathClass = new Mathematics();
             console.log(newMathClass.getPi()); // 3.15

            // В объекте Math - одни стат.методы
            // https://developer.mozilla.org/ru/docs/Web/JavaScript/Reference/Global_Objects/Math



      class Car {
        constructor(brand) {
          this.brand = brand;
        }

        getBrand() {
           return this.brand
          }

      }

      const BMW = new Car('bmw');

      BMW.getBrand();
      
      const date = new Date();
      date.getDate();


      Number.isNaN()
    </script>
  </body>
</html>
